// Read Fuze Byte
//

// CryptoMemory Library Include Files
#include "CM_LIB.h"
#include "CM_I2C.h"
#include "CM_I2C_L.h"
#include "CM_GPA.h"

uint8_t	ucCmdRdFuze[4] = {0xb6, 0x01, 0x00, 0x01};

// Read Fuse Byte
uint8_t cm_ReadFuse(uint8_t * pucFuze)
{
	uint8_t ucReturn;
	
  // 5 0x00, A2 (0x00), 5 0x00, N (0x01)	
	cm_GPAGenNF(11, 0x01);

	if((ucReturn = cm_ReadCommand(ucCmdRdFuze,pucFuze,1)) != SUCCESS) return ucReturn;
	
	cm_GPAGen(*pucFuze);         // fuze byte
  cm_GPAGenN(5);               // 5 0x00s
  
	return SUCCESS;
	
}
